Page MenuHomePhabricator

sparse: make use of treemanifest for far faster path listing
AbandonedPublic

Authored by mjpieters on Nov 24 2017, 11:35 AM.

Details

Reviewers
durham
Group Reviewers
Restricted Project

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

mjpieters created this revision.Nov 24 2017, 11:35 AM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 24 2017, 11:35 AM
durham accepted this revision.Nov 28 2017, 7:20 PM
durham added a subscriber: durham.

Maybe add a test for this? You could add a test-treemanifest-sparse.tm. test-treemanifest-blame.t is a minimal test case you could copy to get started.

This revision is now accepted and ready to land.Nov 28 2017, 7:20 PM
mjpieters abandoned this revision.Oct 16 2018, 10:51 AM